Bug 1731911 - python2-nitrate fails to install on Fedora 31 due to missing Python 2 dependencies
Summary: python2-nitrate fails to install on Fedora 31 due to missing Python 2 depende...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-nitrate
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šplíchal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PY2FTBI F31FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2019-07-22 11:22 UTC by Miro Hrončok
Modified: 2019-08-13 14:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-13 14:56:32 UTC


Attachments (Terms of Use)

Description Miro Hrončok 2019-07-22 11:22:06 UTC
$ mock -r fedora-rawhide-x86_64 init
$ mock -r fedora-rawhide-x86_64 install python2-nitrate
Problem: conflicting requests
 - nothing provides python2-gssapi needed by python2-nitrate-1.4-2.fc30.noarch

Please ideally drop the dependency from did and remove python2-nitrate from Fedora. An uninstallbale package brings no benefit. Thanks.

Comment 1 Miro Hrončok 2019-07-29 09:22:52 UTC
In preparation for the Python 2 EOL, we are removing all non-installable Python 2 packages:
https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Removing_non-installable_packages_from_the_distro

This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Note that you don't have to actually fix this right now, setting the bug to ASSIGNED will just mark this as being worked on, so I'll know it is being taken care of. If this happens too quickly, feel free to reach to me any time for help (with specific problems).

(If you know for sure this package shall be removed, consider doing it.)

Thank You!

Comment 2 Miro Hrončok 2019-08-05 08:47:19 UTC
This bug is still in the NEW state and the package does not install. Please indicate you are working on a fix by setting the state to ASSIGNED. When this bug is four weeks in the NEW state, the package may be orphaned.

Comment 3 Miro Hrončok 2019-08-13 14:56:32 UTC
The package installs now.


Note You need to log in before you can comment on or make changes to this bug.